org.eclipse.gef.editparts

## Class AbstractConnectionEditPart.DefaultAccessibleAnchorProvider

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractConnectionEditPart.DefaultAccessibleAnchorProvider

All Implemented Interfaces:
  AccessibleAnchorProvider

Enclosing class:
  AbstractConnectionEditPart

    protected final class AbstractConnectionEditPart.DefaultAccessibleAnchorProvider
    extends java.lang.Object
    implements AccessibleAnchorProvider

Provides accessibility support for when connections are also themselves nodes. If a connection is the source or target of another connection, then its midpoint is used as the accessible anchor location.

Since:
  2.0

### Method Summary

Methods
`java.util.List` `getSourceAnchorLocations()` Returns a list of Points in absolute coordinates where source anchors are located.
`java.util.List` `getTargetAnchorLocations()` Returns a list of Points in absolute coordinates where target anchors are located.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSourceAnchorLocations

    public java.util.List getSourceAnchorLocations()

Description copied from interface: `AccessibleAnchorProvider`
Returns a list of Points in absolute coordinates where source anchors are located. Tools that work with connections should use these locations when operating in accesible keyboard modes.

Specified by:
  `getSourceAnchorLocations` in interface `AccessibleAnchorProvider`
Returns:
  A list of absolute locations (Points relative to the Viewer's Control)
See Also:
  `AccessibleAnchorProvider.getSourceAnchorLocations()`

#### getTargetAnchorLocations

    public java.util.List getTargetAnchorLocations()

Description copied from interface: `AccessibleAnchorProvider`
Returns a list of Points in absolute coordinates where target anchors are located. Tools that work with connections should use these locations when operating in accesible keyboard modes.

Specified by:
  `getTargetAnchorLocations` in interface `AccessibleAnchorProvider`
Returns:
  A list of absolute locations (Points relative to the Viewer's Control)
See Also:
  `AccessibleAnchorProvider.getTargetAnchorLocations()`